View Issue Details

IDProjectCategoryView StatusLast Update
0005073GNUnetfile-sharing servicepublic2019-02-28 11:17
ReporteramatusAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005073: gnunet-publish of a file in a directory that has a non-executable ancestor fails with an assertion error
DescriptionTrying to publish a file in a directory that has a non-executable ancestor fails with an assertion error.
Steps To Reproduce$ mkdir -p /tmp/test1/test2
$ cd /tmp/test1/test2
$ touch foo
$ sudo chown root:root /tmp/test1
$ sudo chmod 700 /tmp/test1
$ gnunet-publish foo
There was trouble processing file `/tmp/test1/test2/foo', skipping it.
Jun 09 14:54:36-589225 gnunet-publish-11073 ERROR Assertion failed at fs_dirmetascan.c:324.
Internal error scanning directory.
Jun 09 14:54:36-589280 gnunet-publish-11073 ERROR Assertion failed at fs_dirmetascan.c:398.
Internal error scanning directory.
TagsNo tags attached.

Activities

Christian Grothoff

2019-02-20 13:18

manager   ~0013905

Fixed in 88a9a5bea..5246093bf (removed bogus assertions, clarified warnings).

Issue History

Date Modified Username Field Change
2017-06-09 22:05 amatus New Issue
2019-02-20 13:18 Christian Grothoff Assigned To => Christian Grothoff
2019-02-20 13:18 Christian Grothoff Status new => resolved
2019-02-20 13:18 Christian Grothoff Resolution open => fixed
2019-02-20 13:18 Christian Grothoff Fixed in Version => 0.11.0
2019-02-20 13:18 Christian Grothoff Note Added: 0013905
2019-02-20 13:19 Christian Grothoff Target Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed